AGETTY(8)

NAME
agetty - alternative System V/SunOS 4 getty

SYSTEM V SYNOPSIS
agetty [-ih] [-l login] [-m] [-t timeout] [-T term] port speed,...

SUNOS 4 SYNOPSIS
agetty [-h] [-l login] [-m] [-t timeout] speed,... port

DESCRIPTION
agetty opens a tty port, prompts for a login name and invokes the /bin/login command. It is normally invoked by init(8). agetty has several non-standard features that are useful for hard-wired and for dial-in lines:

o   Adapts to parity bits and to line editing, end-of-line, and uppercase-only characters when it reads a login name. The program can handle 7-bit characters with even, odd, none or space parity, and 8-bit characters with no parity. The following special characters are recognized: @ and Control-U (kill); #, DEL and back space (erase); carriage return and line feed (end of line).

o   Optionally deduces the baud rate from the CONNECT messages produced by Hayes(tm)-compatible modems.

This program does not use any configuration file.

ARGUMENTS

port
    A path name relative to the /dev directory. If a "-" is specified, agetty assumes that its standard input is already connected to a tty port and that a connection to a remote user has already been established.

    Under System V, a "-" port argument should be preceded by a "--".

speed,...
    A comma-separated list of one or more baud rates. Each time agetty receives a BREAK character it advances through the list, which is treated as if it were circular.

    Baud rates should be specified in descending order, so that the null character (Ctrl-@) can also be used for baud rate switching.

    Despite the synopsis, this agetty can accept port and speeds in either order.

OPTIONS

-h  Enable hardware (RTS/CTS) flow control. It is left up to the application to disable software (XON/XOFF) flow protocol where appropriate.

-i (System V only)
    Do not display the contents of /etc/issue before writing the login prompt. Terminals or communications hardware may become confused when receiving lots of text at the wrong baud rate; dial-up scripts may fail if the login prompt is preceded by too much text.

-l login
    Invoke the specified login program instead of /bin/login. For example, one that asks for an additional dial-up password or one that uses a different password file.

-m  Try to extract the baud rate from the connect status message produced by some Hayes(tm)-compatible modems. These status messages are of the form: "<junk><speed><junk>". agetty assumes that the modem emits its status message at the same speed as specified with (the first) speed value on the command line.

    Since the -m feature may fail on heavily-loaded systems, you still should enable BREAK processing by enumerating all expected baud rates on the command line.

-t timeout
    Terminate if no user name could be read within timeout seconds. This option is useful for dial-in lines.

-T term
    Specifies a value for the TERM environment variable.

SYSTEM V EXAMPLES
This section shows sample entries for the /etc/inittab file. System V.4 note: the port monitor facility should not listen on lines that are already being handled by agetty. One way to achieve this is to edit the /etc/inittab file so that the /usr/lib/saf/sac entry is turned off.
For a hard-wired line:
t0:234:respawn:/usr/sbin/agetty -T vt100 term/a 19200
For a dial-in line with a 2400/1200/300 baud modem:
t1:234:respawn:/usr/sbin/agetty -mt60 term/b 2400,1200,300

The latter requires that the DTR and CD modem control lines are enabled (with Sun equipment, see the eeprom(8) manual page).

Some systems support multiple device entries for the same physical port, so that a single modem can be used for dial-in and for dial-out purposes. With Solaris 2.2 the dial-out and dial-in devices have different major numbers; with other System V implementations the dial-out and dial-in device minor numbers differ by, e.g., 128. On some systems it may be necessary to mknod(8) the /dev/whatever entries by hand.

SUNOS 4 EXAMPLES
This section shows sample entries for the /etc/ttytab file. Note that init(8) appends the port name to the command specified in the inittab file.
For a hard-wired line:
ttya  "/usr/etc/agetty 9600"  vt100  on local
For a dial-in line with a 2400/1200/300 baud modem:
ttyb  "/usr/etc/agetty -mt60 2400,1200,300"  unknown  on modem

The latter requires that the DTR and CD modem control lines are enabled (see the eeprom(8) manual page).

SunOS 4 supports multiple device entries for the same physical port, so that a single modem can be used for dial-in and for dial-out purposes. The dial-out device minor number is 128 higher than that of the dial-in device. It may be necessary to mknod the /dev/whatever entries by hand.

FILES
/etc/utmp, the system status file (System V only).
/etc/issue, printed before the login prompt (System V only).
/dev/console, problem reports (if syslog(3) is not used).
/etc/inittab (System V init(8) configuration file).
/etc/ttytab (SunOS 4 init(8) configuration file).

BUGS
The baud-rate detection feature (the -m option) requires that agetty be scheduled soon enough after completion of a dial-in call (within 30 ms with modems that talk at 2400 baud). For robustness, always use the -m option in combination with a multiple baud rate command-line argument, so that BREAK processing is enabled. The text in the /etc/issue file (System V only) and the login prompt are always output with 7-bit characters and space parity. The baud-rate detection feature (the -m option) requires that the modem emits its status message after raising the DCD line.

DIAGNOSTICS
Depending on how the program was configured, all diagnostics are written to the console device or reported via the syslog(3) facility. Error messages are produced if the port argument does not specify a terminal device; if there is no /etc/utmp entry for the current process (System V only); and so on.

AUTHOR(S)
W.Z. Venema <wietse@wzv.win.tue.nl>
Eindhoven University of Technology
Department of Mathematics and Computer Science
Den Dolech 2, P.O. Box 513, 5600 MB Eindhoven, The Netherlands

CREATION DATE
Sat Nov 25 22:51:05 MET 1989

LAST MODIFICATION
93/08/22 13:57:02

VERSION/RELEASE
1.30